$ = jQuery
context = window
logger = context.JK.logger

@SessionMediaTracksStore = Reflux.createStore(
  {

    init: ->
      # Register with the app store to get @app
      this.listenTo(context.AppStore, this.onAppInit);
      this.listenTo(context.MixerStore, this.onSessionMixerChange)

    onAppInit: (@app) ->
      @gearUtils = context.JK.GearUtilsInstance
      @sessionUtils = context.JK.SessionUtils

    onSessionMixerChange: (sessionMixers) ->

      this.trigger(sessionMixers)
  }
)
